org.wso2.carbon.logging.admin.stub

## Interface LoggingAdmin

- All Known Implementing Classes:
    LoggingAdminStub

      public interface LoggingAdmin

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `LoggerData[]` | `getAllLoggerData(String logNameFilter52, boolean beginsWith53)` Auto generated method signature
    `AppenderData` | `getAppenderData(String appenderName36)` Auto generated method signature
    `LoggerData` | `getLoggerData(String loggerName27)` Auto generated method signature
    `SyslogData` | `getSyslogData()` Auto generated method signature
    `LogData` | `getSystemLog()` Auto generated method signature
    `boolean` | `isStratosService()` Auto generated method signature
    `String` | `removeSyslogPattern(String appenderPattern20)` Auto generated method signature
    `void` | `restoreDefaults()` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAllLoggerData(String logNameFilter52, boolean beginsWith53, LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAppenderData(String appenderName36, LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetLoggerData(String loggerName27, LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetSyslogData(LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetSystemLog(LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startisStratosService(LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startremoveSyslogPattern(String appenderPattern20, LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `updateAllAppenderData(String appenderName12, String appenderPattern13, String threshold14, String logFileName15, String sysLogHost16, String facility17, boolean persist18)` Auto generated method signature for Asynchronous Invocations
    `void` | `updateLoggerData(String loggerName31, String loggerLevel32, boolean additivity33, boolean persist34)` Auto generated method signature for Asynchronous Invocations
    `void` | `updateSyslogConfig(String url43, String port44, String realm45, String userName46, String password47)` Auto generated method signature for Asynchronous Invocations
    `void` | `updateSystemLog(String logLevel58, String logPattern59, boolean persist60)` Auto generated method signature for Asynchronous Invocations

- - ### Method Detail

    - #### updateAllAppenderData

          void updateAllAppenderData(String appenderName12,
                                     String appenderPattern13,
                                     String threshold14,
                                     String logFileName15,
                                     String sysLogHost16,
                                     String facility17,
                                     boolean persist18)
                              throws RemoteException,
                                     LoggingAdminException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `LoggingAdminException` - :
        `RemoteException`

    - #### removeSyslogPattern

          String removeSyslogPattern(String appenderPattern20)
                              throws RemoteException

      Auto generated method signature
      Parameters:
        `removeSyslogPattern19` -
      Throws:
        `RemoteException`

    - #### startremoveSyslogPattern

          void startremoveSyslogPattern(String appenderPattern20,
                                        LoggingAdminCallbackHandler callback)
                                 throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `removeSyslogPattern19` -
      Throws:
        `RemoteException`

    - #### isStratosService

          boolean isStratosService()
                            throws RemoteException,
                                   LoggingAdminException

      Auto generated method signature
      Parameters:
        `isStratosService23` -
      Throws:
        `LoggingAdminException` - :
        `RemoteException`

    - #### startisStratosService

          void startisStratosService(LoggingAdminCallbackHandler callback)
                              throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `isStratosService23` -
      Throws:
        `RemoteException`

    - #### getLoggerData

          LoggerData getLoggerData(String loggerName27)
                            throws RemoteException

      Auto generated method signature
      Parameters:
        `getLoggerData26` -
      Throws:
        `RemoteException`

    - #### startgetLoggerData

          void startgetLoggerData(String loggerName27,
                                  LoggingAdminCallbackHandler callback)
                           throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getLoggerData26` -
      Throws:
        `RemoteException`

    - #### updateLoggerData

          void updateLoggerData(String loggerName31,
                                String loggerLevel32,
                                boolean additivity33,
                                boolean persist34)
                         throws RemoteException,
                                LoggingAdminException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `LoggingAdminException` - :
        `RemoteException`

    - #### getAppenderData

          AppenderData getAppenderData(String appenderName36)
                                throws RemoteException

      Auto generated method signature
      Parameters:
        `getAppenderData35` -
      Throws:
        `RemoteException`

    - #### startgetAppenderData

          void startgetAppenderData(String appenderName36,
                                    LoggingAdminCallbackHandler callback)
                             throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getAppenderData35` -
      Throws:
        `RemoteException`

    - #### getSystemLog

          LogData getSystemLog()
                        throws RemoteException,
                               LoggingAdminException

      Auto generated method signature
      Parameters:
        `getSystemLog39` -
      Throws:
        `LoggingAdminException` - :
        `RemoteException`

    - #### startgetSystemLog

          void startgetSystemLog(LoggingAdminCallbackHandler callback)
                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getSystemLog39` -
      Throws:
        `RemoteException`

    - #### updateSyslogConfig

          void updateSyslogConfig(String url43,
                                  String port44,
                                  String realm45,
                                  String userName46,
                                  String password47)
                           throws RemoteException,
                                  LoggingAdminLoggingAdminException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `LoggingAdminLoggingAdminException` - :
        `RemoteException`

    - #### getSyslogData

          SyslogData getSyslogData()
                            throws RemoteException,
                                   LoggingAdminLoggingAdminException

      Auto generated method signature
      Parameters:
        `getSyslogData48` -
      Throws:
        `LoggingAdminLoggingAdminException` - :
        `RemoteException`

    - #### startgetSyslogData

          void startgetSyslogData(LoggingAdminCallbackHandler callback)
                           throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getSyslogData48` -
      Throws:
        `RemoteException`

    - #### getAllLoggerData

          LoggerData[] getAllLoggerData(String logNameFilter52,
                                        boolean beginsWith53)
                                 throws RemoteException

      Auto generated method signature
      Parameters:
        `getAllLoggerData51` -
      Throws:
        `RemoteException`

    - #### startgetAllLoggerData

          void startgetAllLoggerData(String logNameFilter52,
                                     boolean beginsWith53,
                                     LoggingAdminCallbackHandler callback)
                              throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getAllLoggerData51` -
      Throws:
        `RemoteException`

    - #### restoreDefaults

          void restoreDefaults()
                        throws RemoteException,
                               LoggingAdminException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `LoggingAdminException` - :
        `RemoteException`

    - #### updateSystemLog

          void updateSystemLog(String logLevel58,
                               String logPattern59,
                               boolean persist60)
                        throws RemoteException,
                               LoggingAdminException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `LoggingAdminException` - :
        `RemoteException`

Copyright © 2019 WSO2. All rights reserved.